Book_1_Chapter_1_Unravelling_the_Thread = class(Window);

function Book_1_Chapter_1_Unravelling_the_Thread:GetName()
	return "Book 1, Chapter 1: Unravelling the Thread";
end

function Book_1_Chapter_1_Unravelling_the_Thread:IsRunning()
	return (self.window ~= nil);
end

function Book_1_Chapter_1_Unravelling_the_Thread:Start()	
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Livro 1, Capítulo 1: Desvendando o Mistério");--título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end
	
	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true);
	
	-- STARTS WITH - MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");
	
	-- adiciona (append) STARTS WITH - MAP REF 
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n-Strider (Passolargo) - 28.6S, 49.2W");
	
	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");
	
	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\nVersão para Anão/elfo/homem/hobbit:\n'O senhor  dos 'Dourhands' fugiu para Bree-land após sua derrota, e não por mero acaso. Eu vejo a mão do Capitão dos Nove em todos esses assuntos, no oeste, no Condado e na Terra de Bree-land. Devemos desvendar o fio dos seus planos, e acredito que sei como.'\n'A leste de Bree, há um acampamento Blackwold que meus homens têm observado de perto. Uma sombra se espalhou recentemente pelo acampamento... acredito que foi para lá que Amdir foi, e este senhor-anão também.'\n'Para lá devemos ir, e lá devemos acabar com a vida de Amdir, se ele ainda pode ser chamado de vivo. Vamos esperar o anoitecer e então fazer nosso movimento contra os Blackwolds. Fale comigo novamente quando estiver pronto para partir.'\n\nVersão Beorning:\n'Estou feliz em conhecê-lo, <seu personagem>, e agradeço-lhe a mensagem de Radagast! Eu vi muito poucos de seu povo deste lado das montanhas, mas é bom que Grimbeorn tenha escolhido se envolver. Essa sombra também o afeta, pois diz respeito a todos nós. Infelizmente, sua mensagem não é uma surpresa para mim. Os Nove Cavaleiros estão à solta, e anões corrompidos trabalham com eles! Meu amigo Amdir foi tomado pela sombra, e temo que ele se torne um espectro, perdido para sempre.'\n'A leste de Bree, há um acampamento Blackwold que meus homens têm observado de perto. Se você estiver disposto, é para lá que devemos ir, para acabar com a vida de Amdir antes que o processo seja concluído. Vamos esperar o anoitecer e então fazer nosso movimento contra os Blackwolds. Fale comigo novamente quando estiver pronto para partir.'");
	
	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");
	
	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\nStrider pediu que você o ajudasse a lidar com Amdir de uma vez por todas.");
	
	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");
	
	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n1- Fale com Strider.\nStrider está em seu quarto no The Prancing Pony Inn em Bree, que é encontrado virando à esquerda no corredor para fora da sala comum até que você só consiga virar à direita. A sala fica no final do corredor à direita das escadas.\nAo cair da noite, Strider irá liderar o ataque contra Amdir e os Blackwolds.\n   Strider: 'Você já está preparado para viajar? Se sim, então, ao cair da noite, avançaremos contra o acampamento onde Amdir e o senhor-anão se escondem.'\nComplete a Instance: Unravelling the Thread\n\n2 -Fale com Strider.\nCom a ameaça de Amdir encerrada, você deveria reportar-se a Strider e ver se há mais alguma coisa que ele gostaria que você fizesse.\n   Strider: 'Aflige meu coração que o Inimigo foi capaz de transformar Amdir assim. Ele era meu amigo e parente. Meu povo vai se lembrar dele como o homem que ele foi, bom e nobre. Preocupa-me que os Nazgûl tenham cruzado o Rio e se avançado nas terras de Bree exatamente neste momento. Há eventos em andamento que podem determinar o destino da Terra-Média. Se você for capaz e quiser, posso ter outra tarefa para você.'");
	
	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");
	
	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n- Fale com Strider e entre na [15]Instance: Unraveling the Thread;\n- Fale com ele novamente e complete a instance e esta quest;\n- Aceitar a próxima quest fará você ser teleportado para o centro de Combe.");
	
	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nCréditos e Autoria: ");
	
	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("Ectelhion");
	
	--Cria uma barra de rolagem vertical para o label
    v_scrollbar=Turbine.UI.Lotro.ScrollBar();
    v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight()); 
    v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	
	self.label:SetVerticalScrollBar(v_scrollbar);
	
	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();
		
		self.label:SetSize(window_width-30, window_height-70);	
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height);
	end
	
	Window.Start(self);
end

function Book_1_Chapter_1_Unravelling_the_Thread:Stop()	
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end

-- Register an instance of this example.
RegisterWindow(Book_1_Chapter_1_Unravelling_the_Thread());
